
/*FONTS*/
@font-face{
    font-family: "Roboto-Black";
    src: url(fonts/Roboto-Black.ttf)
}
@font-face{
    font-family: "Roboto-Italic";
    src: url(fonts/Roboto-Italic.ttf)
}
@font-face{
    font-family: "Roboto-Regular";
    src: url(fonts/Roboto-Regular.ttf)
}
@font-face{
    font-family: "DancingScript-Bold";
    src: url(fonts/DancingScript-Bold.ttf)
}

/*GENERAL*/

*{
    margin: 0;
    padding: 0;
}
body{
    margin: 0;
    padding: 0;
    cursor: default;
    background-color: rgb(245, 245, 245);
}

/*SCROLLBAR*/
    /* width */
    ::-webkit-scrollbar {
        width: 15px;
    }
    
    /* Track */
    ::-webkit-scrollbar-track {
        background: #f1f1f1;
    }
    
    /* Handle */
    ::-webkit-scrollbar-thumb {
        background: rgb(174, 217, 250);
    }
    
    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #0fa7e4;
    }

/*HEADER*/
#head{
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 80px;
    background-color: #0fa7e4;
}

@media(min-width: 900px){
    #head p{
        padding-left: 100px;
    }
}

@media(max-width: 900px){
    #head{
        height: 120px;
    }
}

@media(max-width: 900px){
    #head .anchors{
        display: flex;
        flex-direction: column;
        justify-content: right;
        align-items: right;
    }
    #head .anchors a{
        padding: 15px;
        margin-top: -18px;
    }
    #head p{
        padding-top: 20px;
    }
}

#head .name_1 a{
    text-decoration: none;
}

#head .name_1 a p:hover{
    transition: ease-in-out 0.3s;
    color: #273746;
}

.name_1{
    width: 50%;
    min-height: 100%;
    float: left;
}

#head p{
    font-family: "Roboto-Black";
    text-transform: uppercase;
    margin: 30px 0 auto 100px;
    color: white;
}

.anchors{

    width: 50%;
    float: right;
    clear: right;
    text-align: right;
}

.anchors a{
    position: relative;
    font-family: "Roboto-Regular";
    text-transform: uppercase;
    text-decoration: none;
    padding: 30px;
    opacity: 0.8;
    top: 30px;
    justify-content: end;
    color: white;
}

.anchors a:hover{
    transition: 0.3s ease-in-out;
    color: black;
}

/*HOMEPAGE IMG*/
.homepage_img{
    max-width: 100%;
    height: 600px;
    background-image: url(images/homepage/homepage.jpg);
    background-size: cover;
    background-position: bottom;
    text-align: center;
    color: ivory;
    text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.4);
}

.name_2{
    font-family: "DancingScript-Bold";
    margin: 0 auto;
    padding-top: 150px;
    font-size: 100px;
}

.job{
    font-family: "DancingScript-Bold";
    font-size: 60px;
    margin: 40px auto;
}

@media(max-width: 900px){
    .name_2{
        font-size: 60px;
    }
    .job{
        font-size: 30px;
    }
    .homepage_img{
        padding-top: 180px;
    }
}

/*PRESENTATION*/
.presentation{
    display: flex;
    font-family: "Roboto-Regular";
    text-align: justify;
    padding-left: 150px;
    margin: 60px auto 30px auto;
    color: #273746;
}

.intro_title{
    padding-bottom: 20px;
}

.intro_text{
    width: 50%;
    float: left;
    box-sizing: border-box;
    padding-left: 50px;
    padding-right: 50px;
}

@media(max-width: 900px){
    .presentation{
        padding-left: 50px;
        margin: 60px auto 60px auto;
    }
}

@media(max-width : 480px){
    .presentation{
        margin: 60px auto 90px auto;
    }
}

.intro_img{
    width: 50%;
    min-height: 100%;
    float: right;
    clear: right;
    box-sizing: border-box;
    padding-left: 50px;
}

.pierre{
    max-width: 400px;
    border-radius: 10px;
}

@media(max-width: 1075px){
    .pierre{
        max-width: 300px;
        padding-top: 30px;
    }
    .intro_img{
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}

@media(max-width: 770px){
    .presentation{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .intro_img{
        padding-left: 0;
        border-radius: 10px;
        align-items: center;
    }
    .pierre{
        border-radius: 0px;
        width: 300px;
        height: 230px;
    }
    .intro_text{
        width: 100%;
    }
    .presentation{
        padding-right: 50px;
    }
}

/*ARTICLES TITLES*/
.articles{
    display: block;
    flex-direction: column;
    text-align: center;
    padding-top: 30px;
    margin-bottom: 30px;
    color: #273746;
}

.articles h2{
    font-family: "Roboto-Black";
    font-size: 60px;
}

.articles h3{
    font-family: "Roboto-Italic";
    padding-bottom: 50px;
}

/*ARTICLES HOMEPAGE*/
.flex_articles{
    display: flex;
    margin: auto 0px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.article{
    width: 600px;
    height: 420px;
    margin: 20px;
    border-radius: 20px;
}

.article:hover{
    filter: brightness(115%);
    transition: ease-in-out 0.3s;
    cursor: pointer;
}

.overlay{
    display: table;
    float: left;
    position: relative;
    text-align: center;
    width: 50%;
    height: 100%;
    text-align: center;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    background-image: linear-gradient(to right, rgba(0,0,0,0.9), rgba(0,0,0,0.0));
}

.overlay h4{
    display: table-cell;
    font-family: "DancingScript-Bold";
    font-size: 40px;
    vertical-align: middle;
    color: ivory;
}

/*ARTICLES MEDIA*/
@media(max-width: 1100px){
    .article{
        width: 300px;
        height: 218px;
    }
}
/*LIENS VERS ARTICLES*/
#article_1{
    background-image: url(images/articles/article_1.jpg);
    background-size: cover;
    background-position: center;
}

#article_2{
    background-image: url(images/articles/article_2.jpg);
    background-size: cover;
    background-position: center;
}

#article_3{
    background-image: url(images/articles/article_3.jpg);
    background-size: cover;
    background-position: center;
}

#article_4{
    background-image: url(images/articles/article_4.jpg);
    background-size: cover;
    background-position: bottom;
}

/*CONTACT*/
.contact{
    display: flex;
    width: 100%;
    height: 500px;
    padding-top: 30px;
    text-align: center;
    list-style: none;
    flex-direction: column;
    justify-content: center;
    color: white;
    background-color: rgb(174, 217, 250);
}

.contact h2{
    font-family: "Roboto-Black";
    margin-bottom: 40px;
}

.contact p{
    font-family: "Roboto-Regular";
    line-height: 160%;
    margin-bottom: 40px;
}

.contact .mailto{
    font-family: "Roboto-Regular";
    font-size: 20px;
    margin: 0 30% 0 30%;
    padding: 10px;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 4px;
    border-radius: 10px;
    color: white;
    border: 3px solid whitesmoke;
    background-color: rgb(174, 217, 250);
}

.contact .mailto:hover{
    transition: ease-in 0.3s;
    background-color: white;
    border: 3px solid #0fa7e4; 
    color: #0fa7e4;
}

@media(max-width: 900px){
    .contact .mailto{
        margin: 0 20% 0 20%;
    }
    .contact .socials{
        padding-top: 30px;
        margin-bottom: 50px;
    }
}

/*SOCIAL NAV*/
.socials{
    margin: 0;
    padding-top: 40px;
    text-align: center;
}

.socials a{
    display: inline-block;
    margin: 0 5px;
}

.socials li{
    display: inline;
    margin: 30px 0 40px 0;
    padding: 0 16px 0 16px;
}

li a svg{
    float:left;
    width:30px;
    height:30px;
    fill: white;
}

li a svg:hover{
    fill:#0fa7e4;
    transition: linear 0.5s;
}

/*FOOTER*/
.footer{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 60px;
    background-color: #0fa7e4;
}

.footer p{
    text-align: center;
    color: white;
}

.footer a{
    text-decoration: none;
    transition: 0.3s ease-in;
    color: white;
}

.footer a:hover{
    text-decoration: underline;
    color: #273746;
}

/*ARTICLES*/
.product{
    display: flex;
    flex-direction: row;
}

.product_desc{
    width: 75%;
    padding: 50px 100px 50px 200px;
    font-family: "Roboto-Regular";
    color: #273746;
}

.product_desc h4{
    margin-bottom: 10px;
    font-size: 24px;
    text-transform: uppercase;
}


.product_desc h2{
    font-family: "Roboto-Black";
    font-size: 60px;
    margin: 15px auto 0 auto;
}

.product_desc p{
    text-align: justify;
}

.product_desc p:first-of-type{
    margin-top: 0;
}

.other_products{
    display: flex;
    flex-wrap: wrap;
    width: 25%;
    height: 900px;
    flex-direction: column;
    padding: 50px;
    margin-top: -50px;
    margin-bottom: 500px;
    justify-content: space-around;
}

.other_product_a, .other_product_b, .other_product_c, .other_product_d{
    height: 200px;
    width: 200px;
    transition: all 1s ease;
}

.other_product_a:hover, .other_product_b:hover, .other_product_c:hover, .other_product_d:hover{
    border-radius:50%;
    cursor: pointer;
    filter: contrast(135%);
}

@media(max-width:900px){
    .other_products{
        width: 40%;
    }
    .product_desc{
        width: 60%;
        padding: 50px 100px 50px 100px;
    }
}

@media(max-width: 800px){
    .product{
        flex-direction: column;
    }
    .other_products{
        flex-direction: row;
        height: 50px;
        width: 60%;
        padding-left: 100px;
        justify-content: space-between;
        margin-bottom: 30px;
    }
    .other_product_a, .other_product_b, .other_product_c, .other_product_d{
        height: 80px;
        width: 80px;
    }
}

/*PRODUCT IMAGES*/
.product_desc div{
    width: 100%;
    height: 427px;
    margin: 60px 0;
    background-size: cover;
}

#img_1{
    background-image: url(images/articles/article_1.jpg);
    background-position: center;
}

#img_2{
    background-image: url(images/articles/article_2.jpg);
    background-position-y: 80%;
}

#img_3{
    background-image: url(images/articles/article_3.jpg);
    background-position: center;
}

#img_4{
    background-image: url(images/articles/article_4.jpg);
    background-position: bottom;
}

.other_product_a{
    background-image: url(images/articles/article_1.jpg);
    background-size: cover;
}

.other_product_b{
    background-image: url(images/articles/article_2.jpg);
    background-size: cover;
    background-position: bottom right;
}

.other_product_c{
    background-image: url(images/articles/article_3.jpg);
    background-size: cover;
}

.other_product_d{
    background-image: url(images/articles/article_4.jpg);
    background-size: cover;
}

@media(max-width: 1200px){
    #img_2{
        background-position: bottom right;
    }
}

/*LEGAL MENTIONS*/
.legal{
    height: 100%;
    width: 55%;
    margin: 100px 0 200px 200px;
    text-align: justify;
}

.legal h2{
    font-family: "Roboto-Black";
    font-size: 60px;
    padding-bottom: 30px;
    color: #273746;
}

.legal h3{
    font-family: "Roboto-Regular";
    font-size: 40px;
    padding-bottom: 10px;
    color: #273746;
}

.legal p, .legal ul li{
    font-family: "Roboto-Regular";
    padding-bottom: 20px;
    color: #273746;
}

.legal ul{
    text-align: justify;
    padding-left: 40px;
}

@media(max-width: 900px){
    .legal{
        width: 50%;
        margin: 100px;
    }
}